%global momorel 2

Name:           perl-Module-ScanDeps
Version:        0.98
Release:        %{momorel}m%{?dist}
Summary:        Recursively scan Perl code for dependencies
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-ScanDeps/
Source0:        http://www.cpan.org/authors/id/R/RS/RSCHUPP/Module-ScanDeps-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-version
Requires:       perl-Module-Build
Requires:       perl-version
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
This module scans potential modules used by perl programs, and returns a
hash reference; its keys are the module names as appears in %INC (e.g.
Test/More.pm); the values are hash references with this structure:

%prep
%setup -q -n Module-ScanDeps-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README
%{_bindir}/scandeps.pl
%{perl_vendorlib}/Module/ScanDeps
%{perl_vendorlib}/Module/ScanDeps.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.98-2m)
- full rebuild for mo7 release

* Tue Jul 27 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.98-1m)
- update to 0.98

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-2m)
- rebuild against perl-5.12.0

* Sun Apr 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-1m)
- update to 0.97
- Specfile re-generated by cpanspec 1.78.

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.96-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.95-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-1m)
- update to 0.95

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-1m)
- update to 0.94

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.93-1m)
- update to 0.93

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.88-2m)
- rebuild against rpm-4.6

* Mon Nov  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-1m)
- update to 0.86

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83-2m)
- rebuild against gcc43

* Sun Mar 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.83-1m)
- update to 0.83

* Sat Dec  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81-1m)
- update to 0.81

* Sat Dec  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.78-1m)
- update to 0.78

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.77-1m)
- update to 0.77

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.76-1m)
- update to 0.76
- do not use %%NoSource macro

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.75-1m)
- update to 0.75

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.74-1m)
- update to 0.74

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.72-2m)
- use vendor

* Sun Feb  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.72-1m)
- update to 0.72

* Fri Jan  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.71-1m)
- update to 0.71

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.70-1m)
- update to 0.70

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.69-1m)
- update to 0.69

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.66-1m)
- spec file was autogenerated
